AOWP_GeneratedAspectNameManager (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.pointcut.AOWP_GeneratedAspectNameManager
/aspect/pointcut/GeneratedAspectNameManager.class.php at line 16

# Class AOWP_GeneratedAspectNameManager

    AOWP_GeneratedAspectNameManager

public class AOWP_GeneratedAspectNameManager

短い説明文

長い説明文

Field Summary
private static mixed | $_instance
private mixed | $_observationAspectNameMap

Constructor Summary
AOWP_GeneratedAspectNameManager()

Method Summary
private static void | _getInstance(mixed isWeavingTime)
private static void | _getSerializationPath(mixed isWeavingTime)
private static void | _releaseInstance(mixed observationAspectInstance)
static void | getGeneratedAspectName(mixed richPointcutInstance)
static void | reflesh()

## Field Detail

/aspect/pointcut/GeneratedAspectNameManager.class.php at line 18

### _instance

`private static mixed $_instance = null`

/aspect/pointcut/GeneratedAspectNameManager.class.php at line 19

### _observationAspectNameMap

`private mixed $_observationAspectNameMap`

## Constructor Detail

/aspect/pointcut/GeneratedAspectNameManager.class.php at line 21

### AOWP_GeneratedAspectNameManager

`public AOWP_GeneratedAspectNameManager()`

## Method Detail

/aspect/pointcut/GeneratedAspectNameManager.class.php at line 35

### _getInstance

`private static void _getInstance(mixed isWeavingTime)`

/aspect/pointcut/GeneratedAspectNameManager.class.php at line 25

### _getSerializationPath

`private static void _getSerializationPath(mixed isWeavingTime)`

/aspect/pointcut/GeneratedAspectNameManager.class.php at line 55

### _releaseInstance

`private static void _releaseInstance(mixed observationAspectInstance)`

/aspect/pointcut/GeneratedAspectNameManager.class.php at line 59

### getGeneratedAspectName

`public static void getGeneratedAspectName(mixed richPointcutInstance)`

/aspect/pointcut/GeneratedAspectNameManager.class.php at line 30

### reflesh

`public static void reflesh()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr